%define upstream_name    Proc-Find
%define upstream_version 0.051

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Find processes by name, PID, or some other attributes
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Proc/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util) >= 1.450.0
BuildRequires: perl(Proc::ProcessTable)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides a simple routine, 'proc_exists()', to check a process'
existence by name, something that is commonly done in shell scripts using:

 ps ax | grep name
 pgrep name

and also some routines, 'find_*()', to list processes matching some
criteria.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.51.0-3.mga9
+ Revision: 1812136
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 0.51.0-2.mga8
+ Revision: 1539666
- Mageia 8 Mass Rebuild

* Thu Dec 12 2019 tv <tv> 0.51.0-1.mga8
+ Revision: 1466016
- update to 0.051

* Wed Dec 05 2018 shlomif <shlomif> 0.40.0-1.mga7
+ Revision: 1338489
- cpan2dist


* Wed Dec 05 2018 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
